// Name this file “dump.cxx” and use as:
//
// root [0] .x dump.cxx("dump.txt")
//
// Produces “dump.txt” and “dump.xml” files.
//

void dump(const char *outputname = "dump.txt", const char *fname = "benchmarkCT.root",
const char *nname = "singles")
{
if (!fname || !(*fname) || !nname || !(*nname)) return; // just a precaution

TFile *f = TFile::Open(fname, "READ");
if (!f) return; // just a precaution

TTree *t; f->GetObject(nname, t);
if (!t) { delete f; return; } // just a precaution

t->SetScanField(0);
 ((TTreePlayer *)t->GetPlayer())->SetScanRedirect(kTRUE);
 ((TTreePlayer *)t->GetPlayer())->SetScanFileName(outputname);
t->Scan("runID;time;pixelID");
t->SaveAs("dump.xml");

delete f; // no longer needed (automatically deletes "t")
}
